Subject: [Dime] AD Review of draft-ietf-dime-rfc3588bis-25.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 11 Oct 2010 16:01:19 +0200

Please find below the AD review for draft-ietf-dime-rfc3588bis-25.txt. I
think that this document is stable and mature enough to go to IETF Last
Call. Please deal with my comments together with the other IETF LC
comments. 

1. This document incorporates the changes made in the IANA
Considerations for Diameter Command Code Allocations described in RFC
5719. I think that this document should obsolete RFC 5719, and this
change should be described in Section 1.1.3

2. Same comment about the Diameter realm routing clarifications
described in RFC 5729.

3. How is backwards compatibility ensured between RFC 3588
implementations which were mandating IPSec and this new version which
mandates TLS and makes IPSec support optional, while disallowing usage
of Diameter without any security mechanisms? 

Thanks and Regards,

Dan

---

From: Jouni <[email-masked]>
Date: Mon, 11 Oct 2010 18:21:39 +0300

Hi Dan,

I have one comment regarding RFC5729. We had a specific discussion around this RFC (draft back then) whether we should somehow hook RFC5729 with RFC3588bis or even incorporate into it. We decided to keep RFC5729 and RFC3588bis separate, as we needed to get RFC5729 for RFC3588 based deployments and not blocked by bis. Also, we decided back then not to incorporate the RFC5729 clarifications to bis, as RFC5729 could be seen as a companion document that would also complement bis. RFC3588bis has still the same NAI routing principles as RFC3588, and therefore anything in RFC5729 should also appliy to bis.

- Jouni

On Oct 11, 2010, at 5:01 PM, Romascanu, Dan (Dan) wrote:

> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 11 Oct 2010 17:26:26 +0200

I am OK with your technical and editorial choice, but this needs to be
reflected also in the text, because 5729 as it stands updates a document
(3588) which will soon be obsolete. In 1.1.1.  Description of the
Document Set you need to mention also 5729 as part of the set. 

Dan

> -----Original Message-----
> From: Jouni [mailto:[email-masked]] 
> Sent: Monday, October 11, 2010 5:22 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]
> Subject: Re: [Dime] AD Review of draft-ietf-dime-rfc3588bis-25.txt
> 
> Hi Dan,
> 
> I have one comment regarding RFC5729. We had a specific 
> discussion around this RFC (draft back then) whether we 
> should somehow hook RFC5729 with RFC3588bis or even 
> incorporate into it. We decided to keep RFC5729 and 
> RFC3588bis separate, as we needed to get RFC5729 for RFC3588 
> based deployments and not blocked by bis. Also, we decided 
> back then not to incorporate the RFC5729 clarifications to 
> bis, as RFC5729 could be seen as a companion document that 
> would also complement bis. RFC3588bis has still the same NAI 
> routing principles as RFC3588, and therefore anything in 
> RFC5729 should also appliy to bis.
> 
> - Jouni
> 
> > Please find below the AD review for 
> draft-ietf-dime-rfc3588bis-25.txt. 
> > I think that this document is stable and mature enough to 
> go to IETF 
> > Last Call. Please deal with my comments together with the 
> other IETF 
> > LC comments.
> >